<template>
  <LayoutMain>
    <section>
        <b-container>
        <!--TÍTULO SECCIÓN-->
        <titleShape title="Preguntas frecuentes"></titleShape>
        <b-row v-for="(item, index) in faqs" :key="index">
          <b-col cols="12">            
            <subtitleFaq :faq=item></subtitleFaq>
          </b-col>
        </b-row>
      </b-container>
    </section>
    <b-container class="mt-3">
      <b-row>
          <b-col cols="6">
            <b-button size="lg" v-on:click="$router.go(-1)" variant="secondary" >Volver</b-button>
          </b-col>
      </b-row>
    </b-container>
  </LayoutMain>
</template>

<script>
// @ is an alias to /src
import LayoutMain from "@/components/layouts/Main.vue";
import TitleShape from "@/components/TitleShape.vue";
import SubtitleFaq from "@/components/SubtitleFaq.vue";

export default {
  name: "faq",
  components: {
    LayoutMain,
    TitleShape,
    SubtitleFaq
  },
  data() {
    return {
      faqs: [
          {
            title: "Reglas del juego",
            questions: [
              {
                id: 1,
                message: "El jugador recibe una mano de de cinco cartas"
              },
              { 
                id: 2,
                 message: "Cada carta tiene un año asignado, por lo que el jugador debe colacar las cartas en el tablero en orden coronológico." 
              },
              {
                id: 3,
                message: "Antes de que termine el tiempo de ronda, el jugador debe resolver la mano que ha colocado sobre el tablero."
              },
              {
                id: 4,
                message: "En caso de acierto, el jugador recibe los puntos en base al tiempo que ha tardado en resolver la mano."
              },
              {
                id: 5,
                message: "En caso de fallo se mostrará en el tablero la solución correcta junto con las fechas de las cartas."
              },
              {
                id: 6,
                message: "La partida termina cuando se llega a cinco fallos"
              }
            ]
          },
          {
            title: "Categorías",
            questions: [
              {
                id: 1,
                message: "Las categorías del juego definen la temática de la partida."
              }
            ]
          },
          {
            title: "Multitemático",
            questions: [
              {
                id: 1,
                message: "La categoría 'Multitemático' mezcla las cartas de todo el resto de categorías."
              }
            ]
          },
          {
            title: "Cartas",
            questions: [
              {
                id: 1,
                message: "Las cartas muestran una imagen y un título. Cada carta tiene un año asignado oculto que se muestra al terminar la ronda."
              }
            ]
          },
          {
            title: "Ranking",
            questions: [
              {
                id: 1,
                message: "El ranking muestra el top cinco de los jugadores con más puntuación"
              },
              {
                id: 2,
                message: "Existe un ranking por cada categoría."
              },
              {
                id: 2,
                message: "Para poder tener un lugar en el ranking se debe estar registrado en la aplicación"
              }
            ]
          }
      ]
    };
  }
};
</script>

